Player Settings
Operations dealing with video player settings for videos and channels.
Get video player settings
Get player settings for a specific video. Returns video-specific settings merged with channel player settings.
Parameters
idid | UUIDv4 | shortUUIDrequiredpathThe object id, uuid or short uuid
rawbooleanfalsequeryReturn raw settings without merging channel defaults
Response
successful operation
video not found
Update video player settings
Update player settings for a specific video
Body
Player settings update for a video
Player theme setting for a video:
channel-defaultUse the channel default themeinstance-defaultUse the instance default themegalaxyUse the galaxy themelucideUse the lucide theme
Parameters
idid | UUIDv4 | shortUUIDrequiredpathThe object id, uuid or short uuid
Response
successful operation
video not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Get channel player settings
Get player settings for a video channel.
Parameters
channelHandlestringrequiredpathThe video channel handle
rawbooleanfalsequeryReturn raw settings without applying instance defaults
Response
successful operation
video channel not found
Update channel player settings
Update default player settings for a video channel.
Body
Player settings update for a channel
Player theme setting for a channel:
instance-defaultUse the instance default themegalaxyUse the galaxy themelucideUse the lucide theme
Parameters
channelHandlestringrequiredpathThe video channel handle
Response
successful operation
video channel not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
